Bug 13987 - Z39.50 Authority search result not displaying server name
Summary: Z39.50 Authority search result not displaying server name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-13 18:49 UTC by Blou
Modified: 2015-12-03 22:11 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13987 - Fix server name in z39.50 authority search results (1.25 KB, patch)
2015-04-13 18:53 UTC, Blou
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13987 - Fix server name in z39.50 authority search results (1.32 KB, patch)
2015-04-15 21:47 UTC, Nick Clemens
Details | Diff | Splinter Review
kkk (1.44 KB, patch)
2015-04-15 21:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13987 - Fix server name in z39.50 authority search results (1.37 KB, patch)
2015-04-15 21:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Blou 2015-04-13 18:49:16 UTC
When doing an Auth search through z3950, the resulting table has the first column (servers name) always empty.
Comment 1 Blou 2015-04-13 18:53:58 UTC Comment hidden (obsolete)
Comment 2 Blou 2015-04-13 18:56:06 UTC
Sponsored by : CCSR
Comment 3 Aleisha Amohia 2015-04-14 00:29:01 UTC
Patch applied cleanly but server column remains empty?
Could just be me testing it wrong so will leave for someone else to test.
Comment 4 Blou 2015-04-14 11:58:01 UTC
I revalidated. The patches does fix the problem for me.
Comment 5 Nick Clemens 2015-04-15 21:47:07 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-15 21:52:10 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-04-15 21:52:54 UTC
Created attachment 37934 [details] [review]
[PASSED QA] Bug 13987 - Fix server name in z39.50 authority search results

When doing an Auth search through z3950, the resulting table has the first column (servers name) always empty.

TEST
1) once logged into the intranet, go to Authorities.
2) Click New from z39.50, fill appropriatly for a successful search.
3) Acknowledge first column is empty.  Always.
4) Apply the (very simple) patch.
5) Do another search, validate column is not empty anymore.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2015-04-15 22:02:03 UTC
(In reply to Blou from comment #2)
> Sponsored by : CCSR

Hi Blou, if you want this to go into the release notes, please put it in the commit message - one commit with the line will be enough for it to work:
http://wiki.koha-community.org/wiki/Commit_messages#Sponsor_line
Comment 9 Tomás Cohen Arazi 2015-04-22 18:27:09 UTC
Patch pushed to master.

Thanks Blou!